﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadLightBoxTemplate.aspx.cs" Inherits="RadLightBoxTemplate" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadCodeBlock runat="server">
            <script type="text/javascript">
                function OpenFeedbackLightBox() {
                    var lightBox = $find('<%= FeedbackLightBox.ClientID %>');
                lightBox.show();
            }
        </script>
        </telerik:RadCodeBlock>
            <asp:Button Text="Open Feedback" OnClientClick="OpenFeedbackLightBox(); return false;" runat="server" />
            <telerik:RadLightBox ID="FeedbackLightBox" runat="server" Modal="true">
                <Items>
                    <telerik:RadLightBoxItem>
                        <ItemTemplate>
                            <asp:Label ID="FormTitle" runat="server" Text="SHARE YOUR FEEDBACK" CssClass="feedback_header"></asp:Label>
                            <br />
                            <asp:Label Text="FirstName:" ID="FirstNameLabel" runat="server" CssClass="feedback_label" />
                            <telerik:RadTextBox runat="server" ID="FirstNameTextBox" Width="245px" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ErrorMessage="This field could not be empty" ControlToValidate="FirstNameTextBox" runat="server" />
                            <br />
                            <asp:Label Text="LastName:" ID="LastNameLabel" runat="server" CssClass="feedback_label" />
                            <telerik:RadTextBox runat="server" ID="LastNameTextBox" Width="245px" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" ErrorMessage="This field could not be empty" ControlToValidate="LastNameTextBox" runat="server" />
                            <br />
                            <asp:Label Text="Email:" ID="EmailLabel" runat="server" CssClass="feedback_label" />
                            <telerik:RadTextBox runat="server" ID="EmailTextBox" Width="245px" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" ErrorMessage="This field could not be empty" ControlToValidate="EmailTextBox" runat="server" />
                            <br />
                            <asp:Label Text="Comments:" ID="CommentsLabel" runat="server" CssClass="feedback_label" />
                            <telerik:RadTextBox ID="RadTextBox1" runat="server" Resize="None" TextMode="MultiLine" Width="245px" Height="100px"></telerik:RadTextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" ErrorMessage="This field could not be empty" ControlToValidate="RadTextBox1" runat="server" />
                            <br />
                            <asp:Button Text="Submit" UseSubmitBehavior="true" ID="Button1" runat="server" />
                        </ItemTemplate>
                    </telerik:RadLightBoxItem>
                </Items>
            </telerik:RadLightBox>
    </form>
</body>
</html>
